> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/createloadbalancervips.md).

# CreateLoadBalancerVIPs

## 1. API Description

This API (CreateLoadBalancerVIPs) is used to create a load balancing virtual IP (VIP).

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                               |
| -------------- | -------- | ------- | ------------------------------------------------------------------------- |
| loadBalancerId | Yes      | String  | The ID of the load balancer.                                              |
| count          | Yes      | Integer | <p>Number of additional IPs to be created.</p><p>Value range: \[1, +)</p> |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| orderNumber    | String          | Order number. If the load balancer is of the Virtual IPv6 type, it returns null.                                      |
| vipIdSet       | Array of String | IP ID list.                                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Create a VIP under a load balancer.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateLoadBalancerVIPs
<Common Request Params>

Request:
{
  "loadBalancerId": "xxxx",
  "count": 2
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "orderNumber": "xxxx",
    "ipIdSet": ["xxxx","xxxx"]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
